gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A horizontal slider widget for selecting a value from a range.

The HScale widget allows the user to select a value with a horizontal slider.

This widget and its model is manipulated using methods and properties in its super classes, and .

Gtk.Scale
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new horizontal slider based on the data in .
  The model to use for this HScale

  To create a horizontal slider without explicit use of a , use the alternative constructor.

- Constructor
  Creates a new horizontal slider without the need for an object.
  The minimum value that is accepted by this HScale.
  The maximum value that is accepted by this HScale.
  The value to adjust the HScale by when 'sliding'.

  Creates a new horizontal slider that lets the user input a number between (and including) and . Each adjustment of the slider changes the value by , which must be non-zero.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete